import service from '@/utils/request'

export const getProjectList = (data) => {
  return service({
    url: '/project/getProjectAndDetails',
    method: 'post',
    data: data
  })
}

export const addProject = (data) => {
  return service({
    url: '/project/addProject',
    method: 'post',
    data: data
  })
}

export const updateProject = (data) => {
  return service({
    url: '/project/updateProject',
    method: 'put',
    data: data
  })
}

export const delProject = (data) => {
  return service({
    url: '/project/delProject',
    method: 'delete',
    data: data
  })
}
